Bug 1288229 - many attrlist_replace errors in connection with cleanallruv
many attrlist_replace errors in connection with cleanallruv
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.2
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
Petr Bokoc
: ZStream
: 1266209 (view as bug list)
Depends On:
Blocks: 1295684
  Show dependency treegraph
 
Reported: 2015-12-03 17:33 EST by Marc Sauton
Modified: 2016-11-03 16:37 EDT (History)
8 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
The "cleanAllRUV" task no longer logs false `attrlist_replace` errors A memory corruption bug in the "cleanAllRUV" task was causing `attrlist_replace` error messages to be logged by mistake. The task has been updated to use a different function for memory copying, and it no longer writes false error messages to logs.
Story Points: ---
Clone Of:
: 1295684 (view as bug list)
Environment:
Last Closed: 2016-11-03 16:37:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Sauton 2015-12-03 17:33:13 EST
Description of problem:

I would like to propose the fix from upstream 

https://fedorahosted.org/389/ticket/48283
many attrlist_replace errors in connection with cleanallruv

to be included in 7.2.z for 389-ds-base-1.3.4  (current is 389-ds-base-1.3.4.0-19.el7.x86_64 )

it is fixed for RHEL 6.7.z for the next errata RHBA-2015:21874-03
  https://errata.devel.redhat.com/advisory/21874
  RHEL 6.7 - bz 1273132 - many attrlist_replace errors in connection with cleanallruv

and set for RHEL 6.8, 
  RHEL 6.8 - bz 1267405 - many attrlist_replace errors in connection with cleanallruv

but had been discarded for 7.2.z , and considered for RHEL 7.3


The reason I propose this is I see a failed RHEL 7.2 IPA upgrade from 7.1 for a different reason (SF case linked to this bz report), but when I review the ns-slapd logs on a master and a replica, there were thousands of those on "the main" master, and some on the related replica:

[03/Dec/2015:11:21:41 +0000] attrlist_replace - attr_replace (nsslapd-referral, ldap://redacted:389/o%3Dipaca) failed.

if this is discarded for now, this report is then to document the many messages annoyance until more customers see it.


Version-Release number of selected component (if applicable):

redhat-release-server-7.2-9.el7.x86_64
389-ds-base-1.3.4.0-19.el7.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 6 Noriko Hosoi 2015-12-23 14:45:02 EST
*** Bug 1266209 has been marked as a duplicate of this bug. ***
Comment 10 Viktor Ashirov 2016-01-07 10:16:09 EST
Hi Noriko,

could you please provide steps to verify? 

Thanks!
Comment 11 Noriko Hosoi 2016-01-07 16:10:26 EST
(In reply to Viktor Ashirov from comment #10)
> could you please provide steps to verify? 

Hi Viktor,

The same fix was verified by Sankar.   I think we could ask him to repeat the steps for 7.2.z / 7.3.0.
https://bugzilla.redhat.com/show_bug.cgi?id=1273132#c5
Thanks, Sankar!
Comment 13 Sankar Ramalingam 2016-08-11 07:09:06 EDT
1).
[root@ibm-x3650m4-01-vm-03 MMR_WINSYNC]# PORT="1189" ; ldapsearch -LLL -T -x -p $PORT -h localhost -D "cn=Directory Manager" -w Secret123 -b "dc=passsync,dc=com" -s one '(&(nsuniqueid=ffffffff-ffffffff-ffffffff-ffffffff)(objectclass=nstombstone))' nsds50ruv
dn: cn=replica,cn=dc\3Dpasssync\2Cdc\3Dcom,cn=mapping tree,cn=config
nsds50ruv: {replicageneration} 57ac3024000008a30000
nsds50ruv: {replica 2211 ldap://ibm-x3650m4-01-vm-03.lab.eng.bos.redhat.com:11
 89} 57ac3102000808a30000 57ac3104000508a30000
nsds50ruv: {replica 2216 ldap://ibm-x3650m4-01-vm-03.lab.eng.bos.redhat.com:32
 89}
nsds50ruv: {replica 2215 ldap://ibm-x3650m4-01-vm-03.lab.eng.bos.redhat.com:31
 89} 57ac38b6000008a70000 57ac38b6000008a70000
nsds50ruv: {replica 2214 ldap://ibm-x3650m4-01-vm-03.lab.eng.bos.redhat.com:22
 89}
nsds50ruv: {replica 2213 ldap://ibm-x3650m4-01-vm-03.lab.eng.bos.redhat.com:21
 89}
nsds50ruv: {replica 2212 ldap://ibm-x3650m4-01-vm-03.lab.eng.bos.redhat.com:12
 89}

2).
[root@ibm-x3650m4-01-vm-03 MMR_WINSYNC]# cat /tmp/clean.ldif 
dn: cn=M4clean,cn=cleanallruv,cn=tasks,cn=config
cn: M4clean
objectclass: extensibleObject
replica-base-dn: dc=passsync,dc=com
replica-id: 2214

3). Running cleanallruv from all masters.
for PORT in `echo "1189 1289 2189 3189 3289"`; do ldapmodify -x -p $PORT -h localhost -D "cn=Directory Manager" -w Secret123 -avf /tmp/clean.ldif; done

4).
plica updates... 
[11/Aug/2016:07:06:23.401890371 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 2214): Sending cleanAllRUV task to all the replicas... 
[11/Aug/2016:07:06:24.612790536 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 2214): Cleaning local ruv's... 
[11/Aug/2016:07:06:25.627195603 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 2214): Waiting for all the replicas to be cleaned... 
[11/Aug/2016:07:06:25.753222325 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 2214): Waiting for all the replicas to finish cleaning... 
[11/Aug/2016:07:06:25.873738187 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 2214): Successfully cleaned rid(2214). 

5).
[root@ibm-x3650m4-01-vm-03 MMR_WINSYNC]# grep -i "attr_replace*.*failed*" /var/log/dirsrv/slapd-*/errors
[root@ibm-x3650m4-01-vm-03 MMR_WINSYNC]# echo $?
1

[root@ibm-x3650m4-01-vm-03 MMR_WINSYNC]# rpm -qa |grep -i 389-ds-
389-ds-base-1.3.5.10-7.el7.x86_64
389-ds-base-libs-1.3.5.10-7.el7.x86_64
389-ds-base-debuginfo-1.3.5.10-7.el7.x86_64
389-ds-base-snmp-1.3.5.10-7.el7.x86_64
389-ds-base-devel-1.3.5.10-7.el7.x86_64

No issues observed with cleanallruv. Hence, marking the bug as Verified.
Comment 15 errata-xmlrpc 2016-11-03 16:37:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html

Note You need to log in before you can comment on or make changes to this bug.